Subject: Re: Is anyone using the C67x00 USB Host ?

From: Michal Simek <[email-masked]>
Date: Wed, 10 Dec 2008 15:36:28 +0100

Hi Peter,

>>>>>> "Michal" == Michal Simek <[email-masked]> writes:
> 
> Hi,
> 
>  Michal> You should try to swap mailbox and addr address.
> 
>  Michal> /* HPI registers */
>  Michal> #define HPI_DATA	0
>  Michal> #define HPI_MAILBOX	2
>  Michal> #define HPI_ADDR	1
>  Michal> #define HPI_STATUS	3
> 
> Why? Have you swapped your A0 / A1?

I found that ml40x designs have different connection that ml505 usb design. This
is no problem for me. But I think that in David case is that problem.

We used 2.6.20 kernel because we have this kernel well tested.
I found where the problem was.

Thanks for your driver and help,
Michal

> 
>  Michal> Peter:
> 
>  Michal> What does it mean when I am getting TIMEOUT when kernel is
>  Michal> trying to assign address to device?
> 
>  Michal> Here is the correspond log part. usb_control_msg 5 means
>  Michal> address assigning. And there is timeout description. Star
>  Michal> means interrupt occur.
> 
>  Michal> *usb_control_msg 5, -115
>  Michal> hub_set_address 4 ffffff8d
>  Michal> hub_set_address 8 ffffff8d
>  Michal> +-------------retval ffffff8d ---------------+
>  Michal> OK*... 0x14 ......*---c67x00_td_to_error---
>  Michal> *timeout
>  Michal> --------------------------------------1-----------
>  Michal> *<6>c67x00 c67x00.0: ### TIMEOUT at 0x0500
> 
> I'm not quite following here - Is that the
> wait_for_completion_timeout() in c67x00-sched.c?

> 
> USB questions are probably better asked on the
> [email-masked] list.
> 
>  Michal> Don't you have your testing version for any kernel before
>  Michal> 2.6.23? There were some change in usb subsystem.
> 
> There's some older patches at
> http://peter.korsgaard.com/patches/linux, but why are you using such
> an ancient kernel?
>